# Change a contact of a client

`PATCH /org/{orgId}/clients/{id}/contacts/{contactId}` · Rivier · workspace

Change a contact of a client.

- Scope: workspace:write
- Mcp: rivier_clients_contact_update
- Graphql: Mutation.workspaceOrgContactUpdate
- Sdk: workspace.orgContact.update
- Cli: clients contacts update

## Parameters

- `orgId` (path, required), string
- `id` (path, required), string
- `contactId` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "maxLength": 200
    },
    "email": {
      "anyOf": [
        {
          "type": "string",
          "format": "email",
          "maxLength": 254
        },
        {
          "type": "string",
          "const": ""
        }
      ]
    },
    "phone": {
      "type": "string",
      "maxLength": 60
    },
    "role": {
      "type": "string",
      "maxLength": 80
    },
    "isPrimary": {
      "type": "boolean"
    },
    "ccDefault": {
      "type": "boolean"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/org/{orgId}/clients/{id}/contacts/{contactId}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "email": "name@example.com",
  "phone": "string",
  "role": "string",
  "isPrimary": false,
  "ccDefault": false
}'
```
